%{?nodejs_find_provides_and_requires}

Name:           nodejs-grunt-legacy-log-utils
Version:        0.1.1
Release:        %mkrel 1
Summary:        Static methods for the Grunt 0.4.x logger
Group:          Development/Other

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log-utils
Source0:        https://registry.npmjs.org/grunt-legacy-log-utils/-/grunt-legacy-log-utils-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(nodeunit)
BuildRequires:  npm(colors)
BuildRequires:  npm(lodash)
BuildRequires:  npm(underscore.string)


%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep colors "^1.1.2"
%nodejs_fixdep lodash "^3.10.1"
%nodejs_fixdep underscore.string "^2.3.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/index.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log-utils




%changelog
* Sun May 22 2016 tv <tv> 0.1.1-1.mga6
+ Revision: 1017583
- imported package nodejs-grunt-legacy-log-utils

